% Clculo de parmetros aij y bij para el posterior clculo de parmetros A y B para la 
% resolucin del factor de compresbilidad Z de SRK y su posterior clculo del volumen molar
clc;clear;restoredefaultpath();
addpath( genpath( 'C:/Users/Carlos/Desktop/TFG 2021/Fidel/EoSlib' ) , '-begin' ) ;

% ------------------------------------ N2 , Nitrogen (NIST)
MMN2     = 28.0134 ;                                       % [g/mol] N2
TcN2     = 126.192 ;                                       % [K]
PcN2     = 33.958  ;                                       % [bar] 
wN2      = 0.0372  ;                                       % [] Pitzer
xN2      = 0.016527964753722   ;

% ------------------------------------ C1 , CH4 , Methane (NIST)
MM1      = 16.0425 ;                                       % [g/mol] CH4
Tc1      = 190.564 ;                                       % [K]
Pc1      = 45.992  ;                                       % [bar] 
w1       = 0.01142 ;                                       % [] Pitzer
xC1      = 0.892794813247938  ;
% ------------------------------------ C2 , C2H6 , Ethane (NIST)
MM2      = 30.0690 ;                                       % [g/mol] C2H6
Tc2      = 305.33  ;                                       % [K]
Pc2      = 48.718  ;                                       % [bar] 
w2       = 0.0993  ;                                       % [] Pitzer
xC2      = 0.0586727082811326  ;
% ------------------------------------ C3 , C3H8 , Propane (NIST)
MM3      = 44.0956 ;                                       % [g/mol] C3H8
Tc3      = 369.825 ;                                       % [K]
Pc3      = 42.4766 ;                                       % [bar]
w3       = 0.1524  ;                                       % [] Pitzer
xC3      = 0.0224031575097828  ;
% ------------------------------------ C4 , C4H10 , Butane (NIST)
MM4      = 58.1222 ;                                       % [g/mol] C4H10
Tc4      = 425.125 ;                                       % [K]
Pc4      = 37.960  ;                                       % [bar]
w4       = 0.201   ;                                       % [] Pitzer
xC4      = 0.00533408679945353  ;
% ------------------------------------ C4i , C4H10i , Isobutane (NIST)
MM4i     = 58.1222 ;                                       % [g/mol] C4H10i
Tc4i     = 407.81  ;                                       % [K]
Pc4i     = 36.290  ;                                       % [bar] 
w4i      = 0.184   ;                                       % [] Pitzer
xC4i     = 0.00320045204623798  ;
% ------------------------------------ C5 , C5H12 , IsoPentane (NIST)
MM5i     = 72.1488 ;                                       % [g/mol] C5H12i
Tc5i     = 460.35  ;                                       % [K]
Pc5i     = 33.957  ;                                       % [bar]
w5i      = 0.2296  ;                                       % [] Pitzer  
xC5i     = 0.00106681736173195  ;

alphafun = "SRK"    ;
mixrule  = "Virial" ;

Tcs = [TcN2 Tc1 Tc2 Tc3 Tc4 Tc4i Tc5i]

Pcs = [PcN2 Pc1 Pc2 Pc3 Pc4 Pc4i Pc5i]

Xis = [xN2 xC1 xC2 xC3 xC4 xC4i xC5i]

ws = [wN2 w1 w2 w3 w4 w4i w5i]

props = [Tcs;Pcs;ws]

P = 1 % [bar];
T = 107.3747201935153 % [K];

params = SRK_mix_parameters_kij( T , P , Xis , props , 'SRK', 'Virial')
Zs     = SRK_compress_factors( params )
